---
schema_version: "1"
id: 83165272cde89b11bbdc5425638273584dda072c6f56c3751b7a3b4d5d253516
title: Collections
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/collections.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/collections
source_site: developer.salesforce.com
content_type: documentation
content_hash: ddecb8db41da1a134d59a0442224f0c00410d5ee3efd6035bf9d114ed83e8fee
products:
  - Agentforce Financial Services
  - Industries Integrations
---
Collections

# Collections

Use the Collections API to manage customer debt recovery processes.

**Version:** v1

Protocols: HTTPS.

## Operations

### POST Debit Instruction

`POST /Collections/debitInstructions`

Submits a debit instruction.

#### Request body

Media type: `application/json`. Schema: `DebitInstructionsRequest`.

#### Responses

*   **202** Debit instruction accepted.
    
    Media type: `application/json`. Schema: `DebitInstructionsResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### DebitInstructionsRequest

Specifies the request details for the debit instruction.

*   `DebitInstruction` (_object_, required) Details for initiating a debit transaction.
    *   `DebitAttemptDate` (_date-only_, required) Date the debit attempt is made.
    *   `DebitInitiation` (_string_) How the debit was initiated.
    *   `DebitType` (_string_) Type of the debit.
    *   `DebitInitiatedBy` (_string_, required) User who initiated the debit.
    *   `AdditionalParams` (_object_) Additional Parameters, if any.
    *   `CollectionPlans` (_array of object_, required) List of collection plans related to the debit.
        
        Includes all fields of `CollectionPlan`.
        

_Example_

```
{
  "DebitInstruction": {
    "DebitAttemptDate": "2024-10-15",
    "DebitInitiation": "Manual",
    "DebitType": "One time",
    "DebitInitiatedBy": "james_agent_user",
    "AdditionalParams": {
      "Key1": "Value1",
      "Key2": "Value2"
    },
    "CollectionPlans": [
      {
        "Status": "Draft",
        "FinancialAccount": {
          "Type": "Savings",
          "FinancialAccountNumber": "123456789",
          "Id": "0c7xx0000000001AAA",
          "SourceSystemIdentifier": "6a225735-9ed9-4be5-9485-27f36c5517bc"
        },
        "Id": "1Euxx0000004C92CAE",
        "FinancialAccountId": "0c7xx0000000001AAA",
        "CurrentDueAmount": 10000,
        "DebitAmount": 12000,
        "DebitCurrency": "USD",
        "Name": "CP-000000001",
        "SourceSystemRecordIdentifier": "fa7216df-5a7d-430a-875f-d5df1b1dd782",
        "Duedate": "2024-10-07T00:00:00.000Z"
      },
      {
        "Status": "Pending",
        "FinancialAccount": {
          "Type": "Credit Card",
          "FinancialAccountNumber": "87654321",
          "Id": "0c7xx000000001dAAA",
          "SourceSystemIdentifier": "159b7f55-6d08-45b7-b270-2182852ece43"
        },
        "Id": "1Euxx0000004CAeCAM",
        "FinancialAccountId": "0c7xx000000001dAAA",
        "CurrentDueAmount": 12000,
        "DebitAmount": 12000,
        "DebitCurrency": "USD",
        "Name": "CP-000000002",
        "SourceSystemRecordIdentifier": "08a81758-5b07-491e-ab51-f9b128da3757",
        "Duedate": "2024-10-07T00:00:00.000Z"
      }
    ]
  }
}
```

### DebitInstructionsResponse

Response for the debit instruction.

*   `Status` (_string_, required) Status of the debit instruction request. Valid values are Success and Failure.  
    Example: `Success`.
*   `Message` (_string_, required) Provides details about the result of the debit instruction request.  
    Example: `Debit instruction accepted.`.

### ErrorResponse

Represents a standard message body to return with the error responses.

*   `errorCode` (_string_, required) Short code to identify the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) Verbose, human-readable error message.  
    Example: `The value you entered is out of bounds.`.
*   `transactionId` (_string_, required) Request identifier.  
    Example: `dd960082-abbf-47c2-8c65-f18eeb35848b`.
*   `timeStamp` (_datetime_, required) Date and time of the event.  
    Example: `2019-09-23T11:46:44.256-05:00`.

### CollectionPlan

Contains information for a specific collection within a debit transaction.

*   `Status` (_string_) Status of the collection plan.
*   `FinancialAccount` (_object_, required) Financial account related to the collection plan.
    
    Includes all fields of `FinancialAccount`.
    
*   `Id` (_string_) Unique identifier for the collection plan.
*   `FinancialAccountId` (_string_) Unique identifier for the financial account.
*   `CurrentDueAmount` (_number_) Current due amount for the collection. Must be greater than zero.  
    Minimum: 0.
*   `DebitAmount` (_number_, required) Amount to debit.
*   `DebitCurrency` (_string_, required) Currency of the debit.
*   `Name` (_string_) Name of the collection plan.
*   `SourceSystemRecordIdentifier` (_string_) Identifier of the record in the source system.
*   `Duedate` (_datetime (rfc3339)_) Due date for the collection.

### FinancialAccount

Represents a financial account linked to a collection plan.

*   `Type` (_string_) Type of the financial account.
*   `FinancialAccountNumber` (_string_, required) Account number associated with the financial account.
*   `Id` (_string_) Unique identifier for the financial account.
*   `SourceSystemIdentifier` (_string_) Identifier for the source system.